# Документация Avito API Client

Добро пожаловать в документацию библиотеки Avito API Client. Эта библиотека предоставляет удобный интерфейс для работы с API Авито.

## Возможности библиотеки

- **Синхронные и асинхронные клиенты** - выберите подходящий стиль работы для вашего приложения
- **Полная поддержка авторизации**:
  - Client Credentials (для работы от своего имени)
  - OAuth 2.0 с authorization_code (для работы от имени пользователя)
- **Работа с профилем пользователя Авито**:
  - Получение информации об авторизованном пользователе
- **Работа с мессенджером Авито**:
  - Получение и отправка сообщений
  - Работа с чатами
  - Загрузка изображений
  - Настройка webhook-уведомлений
- **Работа с объявлениями Авито**:
  - Получение информации по объявлениям
  - Получение информации по объявлению
- **Дополнительные возможности**:
  - Автоматическое обновление токенов
  - Гибкая настройка логирования
  - Типизация и валидация данных
  - Обработка ошибок

## Содержание документации

- [Установка](installation.md) - инструкции по установке библиотеки
- [Быстрый старт](quickstart.md) - простые примеры использования библиотеки
- [Аутентификация](authentication.md) - подробно о системе авторизации
- [Мессенджер](messenger.md) - работа с API мессенджера

## Справочник API

- [Базовые клиенты](api_reference/client.md) - документация по базовым классам клиентов
- [Модуль авторизации](api_reference/auth.md) - документация по модулю авторизации
- [Модуль пользователя](api_reference/user.md) - документация по модулю пользователя
- [Модуль мессенджера](api_reference/messenger.md) - документация по модулю мессенджера
- [Модуль объявлений](api_reference/item.md) - документация по модулю объявлений

## Примеры

Примеры использования библиотеки находятся в каталоге `/examples` репозитория:

- `sync_example.py` - пример синхронного использования
- `async_example.py` - пример асинхронного использования
- `oauth_example.py` - пример OAuth-авторизации

## Требования

- Python 3.10 или выше
- Зависимости (устанавливаются автоматически):
  - requests
  - httpx
  - pydantic
  - loguru (опционально)
